## AgsLedArray

AgsLedArray — A led array widget

## Stability Level

Stable, unless otherwise indicated

## Functions

guint | ags_led_array_get_segment_width ()
void | ags_led_array_set_segment_width ()
guint | ags_led_array_get_segment_height ()
void | ags_led_array_set_segment_height ()
guint | ags_led_array_get_led_count ()
void | ags_led_array_set_led_count ()
void | ags_led_array_unset_all ()
void | ags_led_array_set_nth ()
AgsLedArray * | ags_led_array_new ()

## Properties

guint | led-count | Read / Write
guint | segment-height | Read / Write
guint | segment-width | Read / Write

## Types and Values

#define | AGS_LED_ARRAY_DEFAULT_SEGMENT_WIDTH
#define | AGS_LED_ARRAY_DEFAULT_SEGMENT_HEIGHT

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkWidget
                ╰── GtkBox
                    ╰── AgsLedArray

## Includes

    #include <ags/widget/ags_led_array.h>

## Description

AgsLedArray is a widget representing an array of leds.

## Functions

### ags_led_array_get_segment_width ()

    guint
    ags_led_array_get_segment_width (AgsLedArray *led_array);

Get led width of `led_array` .

#### Parameters

led_array | the AgsLedArray |

#### Returns

the led width

Since: 3.2.0

### ags_led_array_set_segment_width ()

    void
    ags_led_array_set_segment_width (AgsLedArray *led_array,
                                     guint segment_width);

Set led width of `led_array` .

#### Parameters

led_array | the AgsLedArray |
segment_width | the led width |

Since: 3.2.0

### ags_led_array_get_segment_height ()

    guint
    ags_led_array_get_segment_height (AgsLedArray *led_array);

Set led height of `led_array` .

#### Parameters

led_array | the AgsLedArray |

#### Returns

the led height

Since: 3.2.0

### ags_led_array_set_segment_height ()

    void
    ags_led_array_set_segment_height (AgsLedArray *led_array,
                                      guint segment_height);

Set led height of `led_array` .

#### Parameters

led_array | the AgsLedArray |
segment_height | the led height |

Since: 3.2.0

### ags_led_array_get_led_count ()

    guint
    ags_led_array_get_led_count (AgsLedArray *led_array);

Get led count of `led_array` .

#### Parameters

led_array | the AgsLedArray |

#### Returns

the led count

Since: 3.2.0

### ags_led_array_set_led_count ()

    void
    ags_led_array_set_led_count (AgsLedArray *led_array,
                                 guint led_count);

Set led count of `led_array` .

#### Parameters

led_array | the AgsLedArray |
led_count | the led count |

Since: 3.0.0

### ags_led_array_unset_all ()

    void
    ags_led_array_unset_all (AgsLedArray *led_array);

Unset all led active.

#### Parameters

led_array | the AgsLedArray |

Since: 3.0.0

### ags_led_array_set_nth ()

    void
    ags_led_array_set_nth (AgsLedArray *led_array,
                           guint nth);

Set `nth` led active.

#### Parameters

led_array | the AgsLedArray |
nth | the nth led |

Since: 3.0.0

### ags_led_array_new ()

    AgsLedArray *
    ags_led_array_new (GtkOrientation orientation,
                       guint segment_width,
                       guint segment_height,
                       guint led_count);

Create a new instance of AgsLedArray.

#### Parameters

orientation | the orientation |
segment_width | the width of the segment |
segment_height | the height of the segment |
led_count | the LED count |

#### Returns

the new AgsLedArray

Since: 3.0.0

## Types and Values

### AGS_LED_ARRAY_DEFAULT_SEGMENT_WIDTH

    #define AGS_LED_ARRAY_DEFAULT_SEGMENT_WIDTH (10)

### AGS_LED_ARRAY_DEFAULT_SEGMENT_HEIGHT

    #define AGS_LED_ARRAY_DEFAULT_SEGMENT_HEIGHT (10)

## Property Details

### The `“led-count”` property

      “led-count”                guint

The count of leds available.

Owner: AgsLedArray

Flags: Read / Write

Default value: 0

Since: 3.0.0

### The `“segment-height”` property

      “segment-height”           guint

The segment height of one led.

Owner: AgsLedArray

Flags: Read / Write

Default value: 10

Since: 4.0.0

### The `“segment-width”` property

      “segment-width”            guint

The segment width of one led.

Owner: AgsLedArray

Flags: Read / Write

Default value: 10

Since: 4.0.0